ipv4_address = 129.97.134.71
ipv6_address = 2620:101:f000:4901:c5c::f:1055

; max_jobs = 6

download_dir = /mirror/root
trace_dir = /home/mirror-go/merlin/trace
state_dir = /home/mirror-go/merlin/state

repo_log_dir = /home/mirror-go/merlin/log
rsync_log_dir = /home/mirror-go/merlin/log-rsync
zfssync_log_dir = /home/mirror-go/merlin/log-zfssync

sock_path = /mirror/merlin/run/merlin-go.sock

[ubuntu-releases]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = ubuntu-releases
rsync_host = rsync.releases.ubuntu.com
rsync_dir = releases

[xubuntu-releases]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = xubuntu-releases
rsync_host = cdimage.ubuntu.com
rsync_dir = cdimage/xubuntu/releases/

[puppylinux]
verbose = true
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = puppylinux
rsync_host = distro.ibiblio.org
rsync_dir = puppylinux

[CPAN]
verbose = true
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = CPAN
rsync_host = cpan-rsync.perl.org
rsync_dir = CPAN

[CTAN]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = CTAN
rsync_host = rsync.dante.ctan.org
rsync_dir = CTAN

[fedora-epel]
verbose = true
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = fedora/epel
rsync_host = mirrors.kernel.org
rsync_dir = fedora-epel
report_mirror = true

[cygwin]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = cygwin
rsync_host = cygwin.com
rsync_dir = cygwin-ftp

[gnu]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = gnu
rsync_host = ftp.gnu.org
rsync_dir = gnu

[nongnu]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = nongnu
rsync_host = dl.sv.gnu.org
rsync_dir = releases

[mysql]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = mysql
rsync_host = rsync.mirrorservice.org
rsync_dir = ftp.mysql.com

[gnome]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = gnome
rsync_host = master.gnome.org
rsync_dir = gnomeftp
password_file = /home/mirror-go/passwords/gnome

[damnsmalllinux]
verbose = true
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = damnsmalllinux
rsync_host = ftp.heanet.ie
rsync_dir = mirrors/damnsmalllinux.org/

[linuxmint]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = linuxmint
rsync_host = pub.linuxmint.com
rsync_dir = pub

[kernel.org-linux]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = kernel.org/linux
rsync_host = rsync.kernel.org
rsync_dir = pub/linux/

[kernel.org-software]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = kernel.org/software
rsync_host = rsync.kernel.org
rsync_dir = pub/software/

[apache]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = apache
rsync_host = rsync.us.apache.org
rsync_dir = apache-dist

[eclipse]
verbose = true
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = eclipse
rsync_host = download.eclipse.org
rsync_dir = eclipseMirror

[kde]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = kde
rsync_host = rsync.kde.org
rsync_dir = kdeftp

[kde-applicationdata]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = kde-applicationdata
rsync_host = rsync.kde.org
rsync_dir = applicationdata

[artixlinux]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = artixlinux
rsync_host = mirror1.artixlinux.org
rsync_dir = artix-linux

[slackware]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = slackware
rsync_host = slackware.cs.utah.edu
rsync_dir = slackware

[x.org]
; csc-sync-standard x.org xorg.freedesktop.org xorg-archive
; csc-sync-standard x.org mirror.us.leaseweb.net xorg
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = x.org
rsync_host = rsync.mirrorservice.org
rsync_dir = ftp.x.org/pub/

[centos]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = centos
rsync_host = us-msync.centos.org
rsync_dir = CentOS

[opensuse]
verbose = true
; unsure what this setting is supposed to do
; #"--exclude distribution/.timestamp_invisible"
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = opensuse
rsync_host = stage.opensuse.org
rsync_dir = opensuse-full/opensuse/

[FreeBSD]
; Has not updated since at least June 2018
; csc-sync-standard FreeBSD ftp10.us.freebsd.org FreeBSD
sync_type = csc-sync-standard
; csc-sync-standard FreeBSD ftp3.us.freebsd.org FreeBSD/
frequency = twice-daily
local_dir = FreeBSD
rsync_host = ftp2.uk.freebsd.org
rsync_dir = ftp.freebsd.org/pub/FreeBSD/

[fedora-enchilada]
verbose = true
; csc-sync-standard fedora/linux mirrors.kernel.org fedora-enchilada/linux/ --ignore-errors && ~/bin/report_mirror >/dev/null
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = fedora/linux
rsync_host = mirrors.kernel.org
rsync_dir = fedora-enchilada/linux/
report_mirror = true

[ubuntu-ports-releases]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = ubuntu-ports-releases
rsync_host = cdimage.ubuntu.com
rsync_dir = cdimage/releases/

[gentoo-portage]
sync_type = csc-sync-standard
frequency = twice-hourly
local_dir = gentoo-portage
rsync_host = rsync1.us.gentoo.org
rsync_dir = gentoo-portage

[gutenberg]
verbose = true
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = gutenberg
rsync_host = ftp@ftp.ibiblio.org
rsync_dir = gutenberg

[plt-bundles]
verbose = true
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = racket/plt-bundles
rsync_host = mirror.racket-lang.org
rsync_dir = plt-bundles

[xiph]
; csc-sync-standard xiph downloads.xiph.org xiph/releases
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = xiph
rsync_host = ftp.osuosl.org
rsync_dir = xiph

; We currently don't have the disk space
[netbsd]
verbose = true
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = NetBSD
rsync_host = rsync.netbsd.org
rsync_dir = NetBSD

[macports-release]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = MacPorts/release
rsync_host = rsync.macports.org
rsync_dir = macports/release/

[macports-distfiles]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = MacPorts/mpdistfiles
rsync_host = rsync.macports.org
rsync_dir = macports/distfiles/

[sagemath]
; csc-sync-standard sage mirror.clibre.uqam.ca sage
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = sage
rsync_host = rsync.sagemath.org
rsync_dir = sage

[vlc]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = vlc
rsync_host = rsync.videolan.org
rsync_dir = videolan-ftp

[tdf]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = tdf
rsync_host = rsync.documentfoundation.org
rsync_dir = tdf-pub

[alpine]
sync_type = csc-sync-standard
frequency = hourly
local_dir = alpine
rsync_host = rsync.alpinelinux.org
rsync_dir = alpine

[raspbian]
verbose = true
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = raspbian
rsync_host = raspbian.freemirror.org
rsync_dir = raspbian

[ipfire]
verbose = true
sync_type = csc-sync-standard
frequency = hourly
local_dir = ipfire
rsync_host = rsync.ipfire.org
rsync_dir = full

[manjaro]
sync_type = csc-sync-standard
frequency = hourly
local_dir = manjaro
rsync_host = mirrorservice.org
rsync_dir = repo.manjaro.org/repos/

[mxlinux]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = mxlinux
rsync_host = mirror.math.princeton.edu
rsync_dir = pub/mxlinux/

[mxlinux-iso]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = mxlinux-iso
rsync_host = mirror.math.princeton.edu
rsync_dir = pub/mxlinux-iso/

[parabola]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = parabola
rsync_host = repo.parabola.nu:875
rsync_dir = repos/

[trisquel-packages]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = trisquel/packages
rsync_host = rsync.trisquel.info
rsync_dir = trisquel.packages/

[trisquel-iso]
sync_type = csc-sync-standard
frequency = twice-daily
local_dir = trisquel/iso
rsync_host = rsync.trisquel.info
rsync_dir = trisquel.iso/

[almalinux]
sync_type = csc-sync-standard
frequency = bi-hourly
local_dir = almalinux
rsync_host = rsync.repo.almalinux.org
rsync_dir = almalinux/
